sort the journal of issues desc instead of asc
Category: Issues Estimated time: 0.00 hour

Target version:    

Description

When displaying the journal of an issue, it is more pretty to have the last modifications first, instead of scrolling down the whole page.

Here is a simple modification to do :

diff -Naur trunk_6.3/app/controllers/issues_controller.rb eads_ver/app/controllers/issues_controll

er.rb

--- trunk_6.3/app/controllers/issues_controller.rb    2007-12-18 19:17:40.000000000 +0100

+++ eads_ver/app/controllers/issues_controller.rb    2008-03-03 13:51:20.000000000 +0100

@@ -81,7 +81,7 @@

   def show

     @custom_values = @issue.custom_values.find(:all, :include => :custom_field, :order => "#{Cust

omField.table_name}.position")

-    @journals = @issue.journals.find(:all, :include => [:user, :details], :order => "#{Journal.ta

ble_name}.created_on ASC")

+    @journals = @issue.journals.find(:all, :include => [:user, :details], :order => "#{Journal.ta

ble_name}.created_on DESC")

     @status_options = @issue.status.find_new_statuses_allowed_to(User.current.role_for_project(@p

roject), @issue.tracker)

     respond_to do |format|

       format.html { render :template => 'issues/show.rhtml' }

Related issues:

Related to Redmine - Feature #1848: Too much scrolling on tickets Closed 2008-09-03

Associated revisions

Revision 1197 - 2008-03-05 16:41 - Jean-Philippe Lang

Add a user preference to choose how comments/replies are displayed: in chronological or reverse chronological order (#589, #776).

History

#1 - 2008-03-03 20:22 - John Goerzen

I'm not sure I agree with that.  I like having it with everything in chronological order.  debbugs (the Debian BTS), RT, Trac all do it that way.  If it's

changed, perhaps it should be a configurable option instead of a hardcoded setting.

#2 - 2008-03-04 00:47 - Eric Davis

I agree with John, the journals should stay in ASC order.  Otherwise you would have to read upwards to follow the train of thought.

-1

#3 - 2008-03-04 10:09 - Thomas Lecavelier

My preference is for ASC order too. But it's a preference, a user preference :) This should be a feature request that enable user to configure journal

order sorting.

#4 - 2008-03-05 16:44 - Jean-Philippe Lang

- Status changed from New to Closed

User preference added in r1197 to choose between chronologic or reverse chronologic order.

Default is still chronological order (ASC).
